Update a tag
curl --request PATCH \
--url https://api.diversion.dev/v0/repos/{repo_id}/tags/{tag_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"commit_id": "<string>"
}
'import requests
url = "https://api.diversion.dev/v0/repos/{repo_id}/tags/{tag_id}"
payload = {
"name": "<string>",
"description": "<string>",
"commit_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: '<string>', commit_id: '<string>'})
};
fetch('https://api.diversion.dev/v0/repos/{repo_id}/tags/{tag_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 403,
"detail": "User not authorized to perform the requested action on the resource",
"title": "<string>",
"type": "<string>"
}{
"status": 403,
"detail": "User not authorized to perform the requested action on the resource",
"title": "<string>",
"type": "<string>"
}Repository Tag Manipulation
Update a tag
Updates tag properties including:
- Name
- Description
- The commit it points to
Parameters: The following optional fields can be provided in the request body:
namedescriptioncommit_id
Requirements: Requires WRITE access to the repository.
Returns:
409 Conflictif a tag with the new name already exists400 Bad Requestif the commit doesn’t exist204 No Contenton success
PATCH
/
repos
/
{repo_id}
/
tags
/
{tag_id}
Update a tag
Authorizations
This API uses OAuth 2 with the implicit grant flow
Path Parameters
The repo ID of the repository. Repo name can be used instead of the ID, but usage of ID for permanent linking and API requests is preferred.
Required string length:
3 - 128Example:
"example_id"
Tag identifier
Required string length:
3 - 128Example:
"dv.tag.12a37e91-bfc4-4e03-a330-13b5b84ab7cb"
Body
application/json
Response
Request completed successfully
⌘I

